"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anchor_1 = require("@coral-xyz/anchor");
const web3_js_1 = require("@solana/web3.js");
const client_1 = require("../src/client");
const constants_1 = require("../src/constants");
const risk_1 = require("../src/risk");
const { MB_CLUSTER_URL } = process.env;
const GROUP_PK = '78b8f4cGCwmZ9ysPFMWLaLTkkaYnUjwMJYStWe5RTSSX';
async function buildClient() {
    const clientKeypair = new web3_js_1.Keypair();
    const options = anchor_1.AnchorProvider.defaultOptions();
    const connection = new web3_js_1.Connection(MB_CLUSTER_URL, options);
    const clientWallet = new anchor_1.Wallet(clientKeypair);
    const clientProvider = new anchor_1.AnchorProvider(connection, clientWallet, options);
    return await client_1.MangoClient.connect(clientProvider, 'mainnet-beta', constants_1.MANGO_V4_ID['mainnet-beta'], {
        idsSource: 'get-program-accounts',
    });
}
async function main() {
    const client = await buildClient();
    const group = await client.getGroup(new web3_js_1.PublicKey(GROUP_PK));
    try {
        console.log(JSON.stringify(await (0, risk_1.getRiskStats)(client, group), null, 2));
        console.log(JSON.stringify(await (0, risk_1.getLiquidationBatches)(client, group), null, 2));
    }
    catch (error) {
        console.log(error);
    }
}
main();
